# APN Validators

The Validation Package provides a robust and extensible framework for validating data in Python applications. Designed with flexibility and scalability in mind, it offers a suite of pre-built validators and supports custom validation logic. This package ensures data integrity and simplifies the process of enforcing business rules across various domains.


## Key Features

- **Modular Design**: Each validator is encapsulated in its own class, making it easy to manage and extend the validation logic.
- **Customizable Error Messages**: Validators support customizable error messages, allowing for clear and context-specific feedback.
- **Customizable Schema**: Users can create their own validation schemas according to their specific needs, providing flexibility to handle unique validation scenarios.
- **Comprehensive Validation Suite**: Includes a wide range of validators for common data validation tasks such as length checks, format verification, numerical comparisons, list inclusion, and regular expression matching.


## Documentation
[Read the documentation](https://agungpn.github.io/apn-validators/)
